GNU bug report logs - #52878
[PATCH] Fix display-comint-buffer-action default behavior

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Morgan.J.Smith@HIDDEN; Keywords: patch; merged with #53189; dated Wed, 29 Dec 2021 18:42:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 52878 53189. Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 52878 <at> debbugs.gnu.org:


Received: (at 52878) by debbugs.gnu.org; 6 Jan 2022 17:16:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 06 12:16:18 2022
Received: from localhost ([127.0.0.1]:42103 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n5WN7-00017Z-Ue
	for submit <at> debbugs.gnu.org; Thu, 06 Jan 2022 12:16:18 -0500
Received: from mout.gmx.net ([212.227.17.21]:59135)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1n5WN5-00010m-LB
 for 52878 <at> debbugs.gnu.org; Thu, 06 Jan 2022 12:16:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1641489368;
 bh=4EhwcgKqSRJxSdQyxdiIgqnlWyeHj7pWiQW3drdeZNc=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=bKAPqhEgRlFi14A/2vmthUehUYkS5ItfvyKRchW31xMFG4xKY44G0ePYmLf6Lp8+b
 wq4G6IUDZTzNP1ExnAGmv3oTxXi8s//OlDw3a24NP2ZiovDIsumS9O8OlU/Zrv8As0
 Kz/m+R8boQXNiN+cvoigixGNoQVw4PFtJJhfHilc=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([212.95.5.75]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MuUjC-1mENUA0PtC-00rVn2; Thu, 06
 Jan 2022 18:16:08 +0100
Subject: Re: bug#52878: [PATCH] Fix display-comint-buffer-action default
 behavior
To: Morgan.J.Smith@HIDDEN, 52878 <at> debbugs.gnu.org
References: <BYAPR05MB4023DD0E4608C9A4D87C034AC5449@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <c65b1284-06b1-1b5c-bc09-b4646a89a08f@HIDDEN>
Date: Thu, 6 Jan 2022 18:16:07 +0100
MIME-Version: 1.0
In-Reply-To: <BYAPR05MB4023DD0E4608C9A4D87C034AC5449@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:BgMnq76Ir0bsi3jcCuzULB2HWUMNgJHha+zgupzDyTf2N05YN99
 EnZ8ptntKGPeCj+Pik9B4uHzS8OfJoaG075YOE+qHCTFFzle1mXVieH+/TYhgB7Wsw+XN3m
 2e7yye5Ee3+7kaD7zVeEIp8TwFHroy3k4wo0b3t0GlfV4svhcMoCQnw33wjF4eSz3r3/jAC
 HZFV+CcFuCLLI4wzsbBPw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Hxs7aUTTBG0=:rkGFnS/BiskcapDbYEvjs4
 cY918sJ7grS7JJX2I+Y5ppmzNdXH15Hdry5VlhtAMFn86qA+9d5lwrH4CZ4V4Oo2u9/gM1X6d
 w4mY+urePcRNtoWmAJZbxV78BWuobftEyqqoqI7IdGOgjQDcwMYOj+aas3WU82v+DpXd9ZdL9
 9XFUcvhgQhf1sIhsooBZ9jtUSA5kV+0P+R6F59HD5c/aL3xfnqF/3dazC4OqmB+wJnbFy49dY
 G42EulYBfpYVWmWUf9deg/sKtn61bk+mmTFR+C1eWXwsVHqW7HK+qvtUQC0YfIwHovs2xW9M/
 lxQX8bua8e3cfHBJlt/9aL9pVmnlLs2LpVHrCaL/hBRJmqJyJmFP9nCgh5Cy0/svHEWRc0a5R
 dO1tYjMNroBzvAMi4xned3x5o4wJ308q8OUisn/B1Der25REZqXMSwiX0+XoUlzUJePt8CqFM
 bRNZSRhjloZu/an0J3ltZG+IIJqyfQIAj6qKGn4Eesi9pQl2z30fJPZAwx7ju7GOpgqdGEt0Y
 dVXExYpCfbqWpiBlYOH8fdqPgT4Hm7ZUZouJz6aNYRFW9vohFYVu+YjU9YbwcAMZzw/vKMvxv
 ZkKfuX3C9pvmDqtZgEKEB63lieZj8ufck6nEkzbi/5kDd1xj6yl8NeqiAhawsAR26cKtU6nXQ
 yIg7DMohg1pCi3NnOuklxtNl/kOiHIG66i81Y8qzZz8UpqgEJ+52qrnjJRRdQK+RVLdYbteQ7
 LVrzflZKWZ2JS2iWjLo20F4hQEszuG29jnaeNlFrImezEH2EdlHwN4pBOvh0CgSQVeAiKsRYU
 duJp+KAW+h6xbCfUXti0Fl118ckzrjZlIxH8tr56Sjf866dfwoU30y5PeFj3YyXwkoLhQ4Eyo
 SJzsFBT39BK9mbdR/vQipntybBh9l5dzxT+gqGYxlUhqJCFT2QYgFBkp08dh+GSATuDGjhRpN
 6AujQPa9loLr11iBDTuTJofhfrxo8yTKgz5ibdaSSUhn7CuH12hLSxhpIpWj0nivsnvVt3U8C
 /L6i4UtRmLXc9bfMT+60+ZEh4HSm3TCmzkenLLI0ciEFjnLpWBknxnZV65t84vyzIfaBb2D28
 lTDtfn5xFyzZdk=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52878
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

A minor issue: The "right" initial value should probably be

'(display-buffer-same-window . ((inhibit-same-window . nil)))

since otherwise

(setq display-buffer-base-action
       '(nil . ((inhibit-same-window . t))))

would inhibit using the same window.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52878; Package emacs. Full text available.

Message received at 52878 <at> debbugs.gnu.org:


Received: (at 52878) by debbugs.gnu.org; 29 Dec 2021 20:35:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 29 15:35:34 2021
Received: from localhost ([127.0.0.1]:50449 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n2ffZ-0003oT-Sh
	for submit <at> debbugs.gnu.org; Wed, 29 Dec 2021 15:35:34 -0500
Received: from mail-pj1-f49.google.com ([209.85.216.49]:33517)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1n2ffY-0003oE-Dz
 for 52878 <at> debbugs.gnu.org; Wed, 29 Dec 2021 15:35:32 -0500
Received: by mail-pj1-f49.google.com with SMTP id
 g11-20020a17090a7d0b00b001b2c12c7273so499948pjl.0
 for <52878 <at> debbugs.gnu.org>; Wed, 29 Dec 2021 12:35:32 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=3x5wVYASilaV20h3NTvwqBtdxCt4o1OPCaZiyjh3yIQ=;
 b=3buKMrWGlNxIu6hc/lPg0RN5CeUxEZytUgrfvz9DdF0ZVGtm6j3IJQ+oKmwVhcyi+k
 LDJD6QFb0bHDryPZVM2QuNjxgt3Y/UXztBUpkpaMgtstXrCOFZ8M05rrhjSiipTHDtfK
 CoXffLtGEBPDnmjj5PreWkQNi9f75vcPLqpG383lRpHgQoHywi/CODeR4qrVq7dOkapw
 sjiKKxVVoRB9XW1rye77gPLE3CIB29GvFbFIhzHYmifcV9GVTBKH0pkRKAwdtc6CNX3n
 XJdTufwbrf+WE250FIaK1RSv0moc5DgR4QA/ydNAuhlreJK+HBnO6sHQvp9TGLJ/vfot
 wf2A==
X-Gm-Message-State: AOAM530l8u/gyja85IB70WN0Nd3NOLOQhTJMQ4E2BwePuiexyUupuctt
 k4JW2rmWtwq5FsrV4EXcE04Ok2B09CBJ8/1mkdU=
X-Google-Smtp-Source: ABdhPJw3BV4f+AXqN4f/ev16zI9eg6fkmmJFMYhC3UD5rEks3sTHi8OEqAcnrxwkQWvwTvJX6f6dbkhVuigJDWkTNwY=
X-Received: by 2002:a17:90b:1646:: with SMTP id
 il6mr33998940pjb.143.1640810126656; 
 Wed, 29 Dec 2021 12:35:26 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 29 Dec 2021 12:35:26 -0800
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <BYAPR05MB4023DD0E4608C9A4D87C034AC5449@HIDDEN>
 (Morgan J. Smith's message of "Wed, 29 Dec 2021 13:38:06 -0500")
References: <BYAPR05MB4023DD0E4608C9A4D87C034AC5449@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Wed, 29 Dec 2021 12:35:26 -0800
Message-ID: <CADwFkmmA7Tp4uOjHsfinwwYNfJxMSwOqaHwM0+=_Bna-JChJUw@HIDDEN>
Subject: Re: bug#52878: [PATCH] Fix display-comint-buffer-action default
 behavior
To: Morgan.J.Smith@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 52878
Cc: 52878 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Morgan.J.Smith@HIDDEN writes:

> This is my first real contribution to Emacs :)

Congratulations, and welcome here!

> The recent change that added display-comint-buffer-action does not do
> what it was supposed to.  Since it is not a list, when it gets passed
> to display-buffer, display-buffer ignores the value.

I think we will see what will happen to that recent change.  There is
even talk about reverting it on emacs-devel, but nothing conclusive as
of yet.  So be aware that your patch might have to wait until that
discussion is concluded.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52878; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Dec 2021 18:41:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 29 13:41:11 2021
Received: from localhost ([127.0.0.1]:50352 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n2dss-0004ZZ-TR
	for submit <at> debbugs.gnu.org; Wed, 29 Dec 2021 13:41:11 -0500
Received: from lists.gnu.org ([209.51.188.17]:34034)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Morgan.J.Smith@HIDDEN>) id 1n2dsr-0004ZQ-0l
 for submit <at> debbugs.gnu.org; Wed, 29 Dec 2021 13:41:09 -0500
Received: from eggs.gnu.org ([209.51.188.92]:38622)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <Morgan.J.Smith@HIDDEN>)
 id 1n2dsp-0006Ce-80
 for bug-gnu-emacs@HIDDEN; Wed, 29 Dec 2021 13:41:07 -0500
Received: from mail-bn7nam10olkn2053.outbound.protection.outlook.com
 ([40.92.40.53]:54112 helo=NAM10-BN7-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <Morgan.J.Smith@HIDDEN>)
 id 1n2dsj-0000ls-8F
 for bug-gnu-emacs@HIDDEN; Wed, 29 Dec 2021 13:41:06 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=JMDkpmBYDRoyGLeX9xkQCCWLxTXO/0cudEsPTq8jSSGaGKsL2f59ksvjI06MzH7mvt3zK3VxUu8zDVUZakxhuIgdSBUWoi9yC7/lP3mLAlWj9uMsk8V2rXyUqqOq2rt4v/GCIvUgHCfy5KfsUdnHQrTWsszlGUqkhxSWY92V3Bl+9e79zuK7AeHu2DZZvmValMKTS8qrn28asnWUmoMugrz5TzpLbUUdP58It0sF2EYdhfO8mVAPps+ovIZiFmw1AxOzgxDT3YknuFitzKiD8wQi/5kQDD84p6Gkx+MKVJjA/jmgRT1QYVYStFN1VpirJ/ovugvzqhcrUaunFBSGlg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=+8BDyO9Sf9lQv+xSR4/5wNJUXM8vLWxCSPHyJwaiu/M=;
 b=Dre8JNYmlLW62G9HvaKZ1+7w9gS4mVsT/SSl26HfwXGo12IxYxio//pclt2PRqM6Ue+G5Mc7FmI6VxxG28Tq4dXXsYuXxczAoPKl33PTUm0Rjnb6vIZ/9HD+OMAeTyuHKf+nB0jGFSUmgGqPknOCH56s+iDB+K2Ax1rZad99qUUqN+CWyCEnu95J94zzwrt8HSTITjXXnyDa2Angjw+xyz4aJGBAZpxYwhLlk2zATa0GYQTU+8xWMNSmEYj6a5m4SkpzOO9c98R1Zay2qtFIMfe0nCpvN4KEILOFunejKkn9n2ZKUo5Ar+pW4J4KfQf1VtpwUrNltrwkgZV1IRAb3w==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=+8BDyO9Sf9lQv+xSR4/5wNJUXM8vLWxCSPHyJwaiu/M=;
 b=PZ+ImGFAm3PIbdefvflLv9UMMemV8YtMIHppux9PCmhat29D9hhG9hublHv7xdA0N25KopdwZ5sTE6yJ3Ew0SIrTABNVoZzZ8IjgOTeU4IdMowVHw1u3B0b162MwdFUeTxC4sg0Lajm7oMrya0J5V5/hj5Ivp7GSDPOBEjSniJL7KGfptqw7cN0gHOq/hS6MW3XQZC4NoIFOmmXVPv3bvhEPkhjv4CedNarz5erb7Fs+BRlphdE5PMSlb01UMQTN4eodEklFfxVX3FWWONqe4f3qikUdtY2yLs6jmJcYuYl8YTXVByD85fMBe68W5nC3MtGXdUt45cQGdIrg5pb+qQ==
Received: from BYAPR05MB4023.namprd05.prod.outlook.com (2603:10b6:a02:87::30)
 by SN6PR05MB5039.namprd05.prod.outlook.com (2603:10b6:805:e4::33)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4844.13; Wed, 29 Dec
 2021 18:40:59 +0000
Received: from BYAPR05MB4023.namprd05.prod.outlook.com
 ([fe80::d0d:4cad:e0e6:dca]) by BYAPR05MB4023.namprd05.prod.outlook.com
 ([fe80::d0d:4cad:e0e6:dca%6]) with mapi id 15.20.4844.014; Wed, 29 Dec 2021
 18:40:59 +0000
From: Morgan.J.Smith@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: [PATCH] Fix display-comint-buffer-action default behavior
Date: Wed, 29 Dec 2021 13:38:06 -0500
Message-ID: <BYAPR05MB4023DD0E4608C9A4D87C034AC5449@HIDDEN>
X-Mailer: git-send-email 2.34.0
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [M7agwY3xHeADLSlk/k2PgC15s7Y6qMm7]
X-ClientProxiedBy: YQXPR0101CA0058.CANPRD01.PROD.OUTLOOK.COM
 (2603:10b6:c00:14::35) To BYAPR05MB4023.namprd05.prod.outlook.com
 (2603:10b6:a02:87::30)
X-Microsoft-Original-Message-ID: <20211229183805.20766-1-Morgan.J.Smith@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 02e4708b-832f-4d2e-5139-08d9cafac154
X-MS-Exchange-SLBlob-MailProps: gjx25WM8ZNWm3GLoeUntTG6KfWWWbWhlUSgTIHP06LYlqanaVZq9JPxxAljRuFZwrtQlfEg9GSrZth4dTdbBYbMI4tyYY04jZDXUBnBzn2QWyvyaEqDhDEblEkuf69gmf2m92V1YKyWlsAYA/sPlpf0jR6BZ25E6lZRLOYZHn5rbXpc3eesQsfl3xgiQp3unCW3zDzTeGJP59Sapv7nyl+D8VFAGN8EmTnCpPLrK72AWMCqW8d1iRus4oKNJpdAXpOPa/Pcm2pIZx2by+Pa+O/8ToKhRukWtlmIy2UnxR6SO6KckdkOFbLC76+XAjGzKz6jS5iNtc8/3X0ShNa6qXjnVbBZDbPOUhPuLjHmbV3AHT5BOiKuQnePNHHWu7OBMyl0A9qmlg3ivNBT7bA3KO99eByt/RoiSLKra4VB9Zq1ajr/aH/XGOusP9dli/IlZRoDyXRT8923QilfzlJiD2GPTF7GoBqChiBcmxIWSZJzT7zi7vYkGNgxNitC7bmyRhO5IaVwrADzksAyMUK+KKnTEEQm6pswgznlZh5KFMrLAHCrAhEKfTRL75h6XesQD3wLDhmyjreGom+Q3MEY149hTswiCUM/UiYVsR/PsPJ2iK7+6gO2ctVZccqXAxh1PeL6YtUObVRWiYA4F318u0le5+ETH3ksrTE1C3bAr6+RviLvEabjULAlnEAGuVsm/8Gc0oVjFIUI8+dtjkXL01p3bDmrXwi3UHdlw/UvWyCI=
X-MS-TrafficTypeDiagnostic: SN6PR05MB5039:EE_
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: MUtCH34uDcEQQvSVDRA1H++ou6SY2NZX+aPd2i72giWfqf4NS2V+gP5O5pSUL9lv3Pd33n9qM2oLWjPMBzzva9fe34lY899FzcBr0KBQwL8jJwVNJMPee1iLmoK8sT86WWWsGDTR7mhvLpJh7dCLONl6UuHMAczQuF1LWvdShyHTToopw0K3eXjZEI/L+taB8rnKsIaig87L+456PsK96bpm0oHI3+9dRgqrFcEYmxyFMP0stVvM55H4Eh7UHmvz7wd3Hjr4Gdi5OnYyh8uMLi++rPeJQ2GMFS0VX3fkvtILldNnIrH7lgKUr+K3tui0Uj6+hrdXpZTkXleMllbuNboIN83REspA1dNbRz5xUG5VAOWIShiQ+KFh+y8Io/+2ZIq8sgfvRk8WOWTDCn1Zj/1Uf249S91m4itYkMJO5IoHFX0hk65OKU84fNrS4msePbx9UjqK0f93/bImVRtX04uscrHm0LHW9HapH274JnfsCaLTIxHWzEyEMNYztRWqa5nP+9WqMX5J9qT51gv1BGNXVSrI1bXDgzsU2oLa8Vwhcr/jcypQUZwKuBbf+Vg9r8IY9NoozW6mTVPAWgZRuA==
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?GOktJP0hebhP+ap/Mu4A1A5w1i7xt0xv5istdGVSQ3myFXSatsBwLS059hCQ?=
 =?us-ascii?Q?0K2Wln7m7i9BN64kutmnsREhkdEBjXONtOeuJqpOlkdilDyykkjSz4Aji3gE?=
 =?us-ascii?Q?JSJJctBDTGCR4VFZpZixSRQGnKOswbU9Lyxzz+wKyKQ+QHxjjuTX9KD4SvdQ?=
 =?us-ascii?Q?KrWhchSDVIOK3nRlS+3PyzGDuErvJfqcTz0BAMHZvUawccXmTuMWL6KujXTb?=
 =?us-ascii?Q?M6mrVRaj6Ks2Xw/qGDltVmN30N1ObZaXNNz6ZbmpWfRwMB6CVZrZpA1/6KjT?=
 =?us-ascii?Q?5TriMjJGOaB4QW9anEhI3lF4VH0HpeRRSWOXaQl0r8jPA4zxlcMDb6Ya8YXo?=
 =?us-ascii?Q?e+aVX2Cb/7utYyKWs19pwQLsd8I70uE52BUqmkkGOcQQaPkzGlQO8G7X8Phn?=
 =?us-ascii?Q?nI/0OzclLZ9fYQqVjNMRUPXzkIPKj3j/AQswju3OD0KPE2m6MjEjDwrjy88N?=
 =?us-ascii?Q?pMC8BCpjFHqoQxVjW7BGDDKij9E7Sccg2OL23LG5yRc6TLEBCvD1zNh0BLin?=
 =?us-ascii?Q?9/J/9hs0osCKX/moyZdX8jO61vM0UnUAKIidDpt/ftWUBwlxF6KNdb2UOm3m?=
 =?us-ascii?Q?u9RaSPyirp+zmqpq5/XKix+Z99fUgg4p4FrTQ22VzyeiyMsvAfhoITU5h5xt?=
 =?us-ascii?Q?QMjCXGXoK/GrO6Tkgzbegcye3aSo9Mie1XRadthocrmdzN8rilRCaYLZPsuX?=
 =?us-ascii?Q?PyAMRgoXK2EiMtGAFF8OTOfGrUsA98E+v+MSTKHTnE4wsrx84PLrxp+YEal2?=
 =?us-ascii?Q?RJQDjV906/VmEHv7h+5mSu7dZ+IT87wX6NIwFUTkeRwWEGgCSWkIsKa4czdn?=
 =?us-ascii?Q?vN/DYZKPN3ukwNLCAmJ5J2FMJS2yLCkcuT90Hc3kMh9uEi4PtywA8kHUFgA8?=
 =?us-ascii?Q?2wR931lPvesu7p5yHQv9gXNQl386h4dmg5ebkSWQSkG4oquyECKakH4U7lDd?=
 =?us-ascii?Q?lD9XLW1xNcCg+TKVKbKmNQ=3D=3D?=
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 02e4708b-832f-4d2e-5139-08d9cafac154
X-MS-Exchange-CrossTenant-AuthSource: BYAPR05MB4023.namprd05.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 29 Dec 2021 18:40:59.4662 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN6PR05MB5039
Received-SPF: pass client-ip=40.92.40.53;
 envelope-from=Morgan.J.Smith@HIDDEN;
 helo=NAM10-BN7-obe.outbound.protection.outlook.com
X-Spam_score_int: -1
X-Spam_score: -0.2
X-Spam_bar: /
X-Spam_report: (-0.2 / 5.0 requ) DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=unavailable autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
Cc: Morgan Smith <Morgan.J.Smith@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

From: Morgan Smith <Morgan.J.Smith@HIDDEN>

* lisp/window.el (display-comint-buffer-action): Make it an alist.
---

This is my first real contribution to Emacs :)

My copyright papers are all good (not that it matters for this).

The recent change that added display-comint-buffer-action does not do what it was supposed to.  Since it is not a list, when it gets passed to display-buffer, display-buffer ignores the value.

I'm not 100% I did everything right, but I looked at gdb-display-buffer-other-frame-action for reference and verified the behavior of the change myself.


 lisp/window.el | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/lisp/window.el b/lisp/window.el
index d75dd9931b..34b2d0c78a 100644
--- a/lisp/window.el
+++ b/lisp/window.el
@@ -7474,9 +7474,9 @@ display-buffer-base-action
   :version "24.1"
   :group 'windows)
 
-(defcustom display-comint-buffer-action 'display-buffer-same-window
-  "The action to display a comint buffer."
-  :type 'display-buffer--action-function-custom-type
+(defcustom display-comint-buffer-action '((display-buffer-same-window))
+  "`display-buffer' action for displaying comint buffers."
+  :type display-buffer--action-custom-type
   :risky t
   :version "29.1"
   :group 'windows
-- 
2.34.0





Acknowledgement sent to Morgan.J.Smith@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#52878; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 12 Jan 2022 17:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.